@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&display=swap');

html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Roboto Condensed", sans-serif;
    background-color: white;
    cursor: default;
    font-size: 14px;
}

:root {
    --secondary: #ff4c00;
    --textdark: #666;
    --dark: #111;
    --white: #fff;
    --success: #00D284;
    --info: #0DCAF0;
    --danger: #ec0f0f;
    --border-radius: 0;
    --font-weight: 0;
    --bg-navbar-glass: linear-gradient(to top, rgba(255, 255, 255, 0.9) 100%, #fff 0);
}

/* bootstrap overclasses */
.btn-rounded {
    border-radius: 30px !important;
}

.card-rounded {
    border-radius: 10px !important;
}

.border-left-none {
    border-left: none !important;
}

.border-right-none {
    border-right: none !important;
}

.top-5 {
    top: 5px;
}

.shadow {
    box-shadow: 0 0 5px lightgray !important;
}

.rounded-50 {
    border-radius: 50%;
}

.text-dark {
    color: var(--textdark) !important;
}

.text-secondary {
    color: var(--secondary) !important;
}

.text-hover-secondary:hover {
    color: var(--secondary) !important;
}

.text-justify {
    text-align: justify !important;
}

.text-success {
    color: var(--success) !important;
}

.alert-sucess {
    color: var(--success);
}

.border-success {
    border-color: var(--success) !important;
}

.border-common-1 {
    border: 1px solid var(--textdark);
}

.border-common-2 {
    border: 2px solid var(--textdark);
}

.bg-dark {
    background-color: var(--dark) !important;
}

.bg-light {
    background-color: var(--textdark) !important;
}

.bg-primary {
    background-color: var(--primary) !important;
}

.bg-secondary {
    background-color: var(--secondary) !important;
}

.border-primary {
    border-color: var(--primary) !important;
}

.border-secondary {
    border-color: var(--secondary) !important;
}

.btn {
    transition: all 0.3s linear;
}

.btn-none {
    background-color: transparent;
}

.btn-border-dark {
    border-color: var(--dark);
}

.btn-border-light {
    border-color: white;
}

.btn-border-dark:hover {
    color: white !important;
    background-color: var(--dark);
}

.btn-border-light:hover {
    color: black !important;
    background-color: white;
}

.btn-primary {
    background-color: var(--dark);
    border-color: var(--dark);
}

.btn-primary:hover {
    background-color: var(--dark);
    border-color: var(--dark);
}

.btn-secondary {
    background-color: var(--secondary) !important;
    border-color: var(--secondary) !important;
}

.btn-secondary:hover {
    background-color: var(--secondary);
    border-color: var(--secondary);
}

.btn-dark:hover {
    background-color: rgba(244, 238, 238, 0.5);
    backdrop-filter: blur(10px);
    color: black;
}

.btn-light {
    background-color: var(--textdark) !important;
}

.border-raduis-left-none {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.border-raduis-right-none {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.border-raduis-left-bottom-none {
    border-bottom-left-radius: 0 !important;
}

.border-raduis-left-top-none {
    border-top-left-radius: 0 !important;
}

.border-raduis-right-top-none {
    border-top-right-radius: 0 !important;
}

.border-raduis-right-bottom-none {
    border-bottom-right-radius: 0 !important;
}

.note::before {
    content: "Note:";
    color: var(--danger);
}

.font-05 {
    font-size: 0.5rem;
}

.font-1 {
    font-size: 1rem;
}

.font-2 {
    font-size: 2rem;
}

.font-4 {
    font-size: 4rem;
}

.bold-400 {
    font-weight: 400 !important;
}

.bold-450 {
    font-weight: 450 !important;
}

.bold-500 {
    font-weight: 500 !important;
}

.bold-600 {
    font-family: 600 !important;
}

.white-wrap {
    white-space: break-spaces;
}

.vh-85 {
    height: 85vh;
}

.vh-90 {
    height: 92vh;
}

/* attributes data */
.border-raduis {
    border-radius: var(--border-radius, 0);
}

/*  */
.font-bold {
    font-weight: bold;
}

.border-none {
    border: none !important;
}

.top-50 {
    top: 50%;
}

.word-wrap {
    word-wrap: break-word;
}

.pointer {
    cursor: pointer;
}

.list-none {
    list-style: none;
}

.rs-sign::before {
    content: '\20B9';
    color: inherit;
    font-size: inherit;
}

.text-decoration-line {
    text-decoration: line-through;
}

/* navbar */
header {
    z-index: 100;
}

.navbar-bg {
    background-color: rgba(244, 238, 238, 0.5);
    backdrop-filter: blur(10px);
    transition: all 0.5s ease;
    color: black;
    width: 99.9%;
    border-radius: 30px;
}

.topnav {
    background-color: var(--dark);
    color: white !important;
    box-shadow: 0 0 3px lightgray;
    width: 90%;
    backdrop-filter: blur(0);
}

.navbar-nav li a {
    text-transform: uppercase;
    transition: all 0.3s linear;
    font-weight: 400;
    color: black;
    transition: color 0.5s ease;
}

.topnav .navbar-nav li a {
    color: white;
}

.navbar-nav .nav-item .nav-link.active,
.navbar-nav .nav-item .nav-link:focus,
.navbar-nav .nav-item:hover .nav-link {
    color: var(--secondary) !important;
}

.navbar-toggler:focus {
    box-shadow: none !important;
}

.navbar-toggle-icon div:nth-child(1),
.navbar-toggle-icon div:nth-child(2),
.navbar-toggle-icon div:nth-child(3) {
    width: 30px;
    height: 3px;
    margin: 4px 0;
    background-color: var(--secondary);
    transition: all 0.4s ease-in-out;
}

.navbar-toggler.collapsed .navbar-toggle-icon div:nth-child(1),
.navbar-toggler.collapsed .navbar-toggle-icon div:nth-child(2) {
    animation: navtoggle 0.4s ease 0s 1 normal forwards running;
}

.navbar-toggler:not(.collapsed) .navbar-toggle-icon div:nth-child(1) {
    rotate: 45deg;
    transform: translateY(10px);

}

.navbar-toggler:not(.collapsed) .navbar-toggle-icon div:nth-child(2) {
    transform: translateY(0);
    opacity: 0;
    width: 0;
}

.navbar-toggler:not(.collapsed) .navbar-toggle-icon div:nth-child(3) {
    rotate: -45deg;
    transform: translateY(-10px);
}

@keyframes navtoggle {
    0% {
        transform: translateY(10px);
    }

    100% {
        transform: translateY(0);
    }
}

/* main contnent */
.main-content {
    height: 91vh;
}

.hr-animation {
    right: 0;
    position: relative;
    transform: scaleX(0);
    transition: transform .6s cubic-bezier(.215, .61, .355, 1);
}

.hr-animation.is-inview {
    transform: scaleX(1);
}

/* other css */
.bordered-text {
    -webkit-text-stroke: 2.4px var(--dark);
    -webkit-text-fill-color: transparent;
    text-align: center;
    letter-spacing: 0.5vw;
    text-transform: capitalize;
    font-weight: bolder;
}

.card-text,
.card-title {
    width: 100%;
    overflow: hidden;
    word-wrap: break-word;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.img-card {
    height: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card-img-top {
    height: 130px;
    object-fit: contain;
}

.course-truncate-p {
    width: 100%;
    height: 100px;
    overflow: hidden;
    display: block;
    position: relative;
    text-overflow: ellipsis;
}

/* caruole */

.carousel-item {
    height: 100%;
}

.carousel-item img {
    height: 100%;
    object-fit: cover;
}

.carousel-blur-effect {
    background-color: rgba(9, 8, 8, 0.5);
    backdrop-filter: blur(5px);
}

#carousel-section {
    z-index: 1;
    position: relative;
}

#course {
    z-index: 2;
    position: relative;
}

.course-img {
    height: 300px;
}

.course-img img {
    object-fit: contain;
}

/* dashbaord section */
.about_us_dahsboard {
    background-image: url("../storage/images/web/bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.about-us-dashboard-content {
    background-color: rgba(244, 238, 238, 0.5);
    backdrop-filter: blur(10px);
    border-radius: 10px;
    padding: 20px;

}

/* services dahboard*/
.service_dahsboard {
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    min-height: 300px;

}

.glass-effect-card {
    background-color: rgba(244, 238, 238, 0.5);
    backdrop-filter: blur(10px);
    border-radius: 10px;
}

.dash-services-section {
    transform: translateY(-20px);
}

.dashbaord-services-icons {
    height: 24px;
    width: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s linear;
    cursor: pointer;
}

.dashbaord-services-icons i {
    font-size: 10px;
    color: white;
}

.dashbaord-services-icons:hover {
    background-color: var(--secondary) !important;
}

.slick-next::before {
    color: var(--secondary);
    font-size: 30px;
    z-index: 200;

}

.slick-prev {
    left: 3px !important;
}

.slick-next {
    right: 14px !important;
}

.slick-prev::before {
    z-index: 200;
    color: var(--secondary);
    font-size: 30px;
}

.slider-card {
    width: 100%;
    box-sizing: border-box;
    max-width: 350px !important;
}

/* form */
.form-control,
.form-control:focus {
    box-shadow: none;
    outline: none;
    border-color: inherit;
}

/* footer */
.text-footer {
    color: #CACACA;
}

.footer-icon {
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--textdark);
}

.footer-icon i {
    font-size: 14px;
    transition: color 0.4s ease-in-out;
}

.footer-icon:hover i {
    color: var(--secondary) !important;
}

.footer-icon:hover {
    border-color: var(--secondary);
    border-style: double;
}

/* modal */
.modal-backdrop {
    background-color: rgba(244, 238, 238, 0.5);
    backdrop-filter: blur(10px);
}

.modal-body::-webkit-scrollbar {
    width: 3px;
}

.modal-body::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.5);
    /* Black transparent color */
    border-radius: 5px;
    /* Radius */
}

.modal-body::-webkit-scrollbar-track {
    background-color: transparent;
    /* Transparent background */
}

.modal-content {
    border-radius: 0;
}

/* svg */
.flex-shrink-0 {
    flex-shrink: 0 !important;
    width: 35px;
    height: 28px;
}

.error {
    width: 100%;
    display: flex;
}

/* dropdown */
.dropdown-menu[data-bs-popper] {
    right: 0 !important;
    left: auto;
}

.dropdown-item:active,
.dropdown-item.active {
    background-color: var(--secondary) !important;
    color: white !important;
}

/* course */
.side-ani {
    width: 100%;
    height: 100%;
    background-color: white;
    rotate: 30deg;
    transform: translate3d(269px, -78px, 0);
}

/* loading */
#loading {
    z-index: 2;
    display: flex;
    backdrop-filter: blur(4px);
    background-color: #111111c2 !important;
}

.text-container span {
    opacity: 0;
    animation: fade-in 1s ease forwards infinite;
    transition: all 0.4s linear;
}

@keyframes fade-in {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.text-container span:nth-child(1) {
    animation-delay: 0s;
}

.text-container span:nth-child(2) {
    animation-delay: 0.2s;
}

.text-container span:nth-child(3) {
    animation-delay: 0.4s;
}

.text-container span:nth-child(4) {
    animation-delay: 0.6s;
}

.text-container span:nth-child(5) {
    animation-delay: 0.8s;
}

.text-container span:nth-child(6) {
    animation-delay: 1s;
}

.text-container span:nth-child(7) {
    animation-delay: 1.2s;
}

.text-container span:nth-child(8) {
    animation-delay: 1.4s;
}

.text-container span:nth-child(9) {
    animation-delay: 1.6s;
}

.text-container span:nth-child(10) {
    animation-delay: 1.8s;
}

.text-container span:nth-child(11) {
    animation-delay: 2s;
}

.text-container span:nth-child(12) {
    animation-delay: 2.2s;
}

.text-container span:nth-child(13) {
    animation-delay: 2.4s;
}

.text-container span:nth-child(14) {
    animation-delay: 2.6s;
}

.text-container span:nth-child(15) {
    animation-delay: 2.8s;
}

.text-container span:nth-child(16) {
    animation-delay: 3s;
}

/* breadcrumb*/
.breadcrumb-item+.breadcrumb-item::before {
    content: "\21D2";
    color: white;
}

.breadcrumb-item.active {
    color: var(--secondary);
}

.breadcrumb-item:hover {
    color: var(--secondary);
}

.breadcrumb {
    --bs-breadcrumb-padding-x: 0;
    --bs-breadcrumb-padding-y: 0;
    --bs-breadcrumb-margin-bottom: 1rem;
    --bs-breadcrumb-bg: ;
    --bs-breadcrumb-border-radius: ;
    --bs-breadcrumb-divider-color: var(--dark);
    --bs-breadcrumb-item-padding-x: 0.5rem;
    --bs-breadcrumb-item-active-color: var(--bs-secondary-color);
    display: flex;
    flex-wrap: wrap;
    padding: var(--bs-breadcrumb-padding-y) var(--bs-breadcrumb-padding-x);
    margin-bottom: var(--bs-breadcrumb-margin-bottom);
    font-size: var(--bs-breadcrumb-font-size);
    list-style: none;
    background-color: var(--bs-breadcrumb-bg);
    border-radius: var(--bs-breadcrumb-border-radius);
}

/* password */
.icon-password-show {
    transform: translateY(-32px);
    width: 5%;
    right: 5%;
}

/* animation */
.animation-up-down {
    animation: animate-up-down 1.5s ease-in-out infinite alternate;
    position: relative;
    transition: all 1s ease-in-out;
    opacity: 0.5;
    /* Initially hidden */
}

@keyframes animate-up-down {
    0% {
        opacity: 1;
        /* Fade in and out */
        transform: translateY(0px);
    }

    100% {
        transform: translateY(-8px);
    }
}

/* form */
input[type="file"]::-webkit-file-upload-button {
    height: 35px;

}

.form-select,
.form-control {
    height: 35px;
    border: 1px solid #EAEAEA;
    color: #555;
    font-size: 11px;
    padding-left: 5px;
    box-shadow: none;
    border-radius: 2px;
}

input[type="text"],
input[type="password"],
input[type="email"],
input[type="date"],
input[type="time"],
input[type="number"] {
    height: 35px;
    border: 1px solid #EAEAEA;
    color: #555;
    font-size: 11px;
    padding-left: 5px;
    box-shadow: none;
    border-radius: 2px;
}

input[type="date"]+label {
    top: -22px;
}

input:focus+label,
input:valid+label,
input:disabled+label {
    font-size: 10px;
    color: #CACACA;
    border-color: #CACACA;
    top: -15px;
    left: 0;
    background: #ffffff;
    padding: 0px 5px 0px 5px;
}

.input_wrap {
    width: auto;
    height: auto;
    position: relative;
}

label {
    font-size: 10px;
}

.input_wrap label {
    font-size: 11px;
    color: #CACACA;
    padding: 8.5px 0 0 5px;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.2s ease all;
    -moz-transition: 0.2s ease all;
    -webkit-transition: 0.2s ease all;
    pointer-events: none;

}

input[type="text"]:focus,
input[type="password"]:focus,
input[type="email"]:focus,
input[type="date"]:focus,
input[type="time"]:focus,
input[type="number"]:focus,
.form-select:focus,
.form-control:focus {
    outline: none;
    border-color: #CACACA !important;
    box-shadow: none !important;
}

input[type="disabled"] {
    outline: none;
    border-color: #CACACA !important;
    box-shadow: none !important;
}

input[type="checkbox"] {
    border-radius: 0;
}

;

/* Target autofilled input fields */
input:-internal-autofill-selected {
    appearance: menulist-button;
    background-image: none !important;
    background-color: light-dark(rgb(232, 240, 254), rgba(70, 90, 126, 0.4)) !important;
    color: fieldtext !important;
}

/* Customize autofilled text color */
input:-internal-autofill-selected::-webkit-input-placeholder {
    color: fieldtext !important;
}

/* buttons customization */
.btn_hover_container:hover .hover-i {
    opacity: 1;
    transform: translateX(0);
}

.hover-i {
    transition: all 0.3s linear;
    opacity: 0;
    transform: translateX(-10px);
}

/* toast alert */
/* toast alert */
.toast-alert {
    position: fixed;
    top: 25px;
    right: 30px;
    border-radius: 10px;
    background: #fff;
    box-shadow: 0 6px 20px -5px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transform: translateX(calc(100% + 30px));
    transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.35);
    z-index: 1000;
}

.toast-alert::before {
    content: "";
    position: absolute;
    background-color: var(--bs-secondary-bg);
    border-radius: inherit;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    height: 100%;
    width: 5px;
}

.toast-alert.show {
    transform: translateX(0%);
}

.toast-alert .toast-content {
    display: flex;
    align-items: center;
    padding: 20px 35px 20px 25px;
}

.toast-content .check {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 30px;
    min-width: 30px;
    color: #fff;
    font-size: 12px;
    border-radius: 50%;
}

.toast-content .message {
    display: flex;
    flex-direction: column;
    margin: 0 20px;
}

.message .text {
    font-size: 12px;
    font-weight: 400;
    color: var(--textdark);
}

.message .text.text-1 {
    font-weight: 600;
}

.toast-alert .close {
    position: absolute;
    top: 10px;
    right: 15px;
    padding: 5px;
    cursor: pointer;
    opacity: 0.7;
}

.toast-alert .close:hover {
    opacity: 1;
}

.toast-alert .progress {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 3px;
    width: 100%;

}

.toast-alert .progress:before {
    content: "";
    position: absolute;
    bottom: 0;
    right: 0;
    height: 100%;
    width: 100%;
    background-color: var(--danger);
}

.toast-alert .pr:before {
    background-color: var(--success);
}

.progress.active:before {
    animation: progress 5s linear forwards;
}

/* info section bradcrum */
.info-bg {
    background: url("../storage/images/web/bg.jpg");
    height: 150px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

@keyframes progress {
    100% {
        right: 100%;
    }
}

.rounded-00 {
    border-radius: 0 !important;
}

/* scrollbar */
::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
    background: #88888849;
    border-radius: 30px;
}
::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* responsive */
@media (max-width: 576px) {
    .carousel-height {
        height: 50vh;
    }

    .topnav {
        width: 99.9%;
    }

}

@media (max-width: 768px) {
    .carousel-height {
        height: 50vh;
    }
}